local agentrig = include( "gameplay/agentrig" ).rig
local mathutil = include( "modules/mathutil" )
local simdefs = include( "sim/simdefs" )
local simquery = include( "sim/simquery" )

local init = agentrig.init

function agentrig:init( boardRig, unit )
	local ret = init( self, boardRig, unit )
	
	local oldOnEnter = self._throwState.onEnter
	function self._throwState.onEnter( state, ev )
		local oldPlaySound = MOAIFmodDesigner.playSound
		if state._rig:getUnit():getTraits().isDrone then
			MOAIFmodDesigner.playSound = function(sound, name)
				if sound == "SpySociety/Grenades/throw" then
					oldPlaySound("SpySociety/Weapons/LowBore/shoot_handgun")
				else
					oldPlaySound(sound, name)
				end
			end
		end
		oldOnEnter( state, ev )
		MOAIFmodDesigner.playSound = oldPlaySound
	end
	
	local oldOnSimEvent = self.onSimEvent
	function self:onSimEvent( ev, eventType, eventData )
		if not eventData.ignoreAgentrig then
			return oldOnSimEvent( self, ev, eventType, eventData )
		end
	end
	
	local oldWalkSimEvent = self._walkState.onSimEvent
	
	function self._walkState:onSimEvent( ev, eventType, eventData )
		if eventData.unblocked then
			ev.thread:unblock()
		end
		return oldWalkSimEvent( self, ev, eventType, eventData )
	end
	
	--[[local oldRefreshLOSCaster = self.refreshLOSCaster

	function self._walkState:refreshLOSCaster( seerID )
		local ret = oldRefreshLOSCaster( self, seerID )
	
		local seer = self._rig:getUnit()
		if self._losProp and seer:getTraits().ignoresWalls and self._rig._boardRig:canSeeLOS( seer ) and seer:getPlayerOwner() ~= self._rig._boardRig:getLocalPlayer() then
			local type = KLEIShadowMap.ELOS_DIRECT
			local arcStart = seer:getFacingRad() - simquery.getLOSArc( seer )/2
			local arcEnd = seer:getFacingRad() + simquery.getLOSArc( seer )/2
			local range = seer:getTraits().LOSrange and self._rig._boardRig:cellToWorldDistance( seer:getTraits().LOSrange )

			self._rig._boardRig._game.sniper_shadow_map:insertLOS( type, seerID, arcStart, arcEnd, range, self._losProp )
		end
		
		return ret
	end
	
	local oldAnimateLOS = self.animateLOS
	
	function self:animateLOS(params)
		oldAnimateLOS(self, params)
		
		if self:getUnit():getTraits().ignoresWalls then
			self._boardRig._game.sniper_shadow_map:insertLOS(KLEIShadowMap.ELOS_DIRECT, self:getUnit():getID(), params.right, params.left, params.range, self._prop)
		end
	end]]
	
	return ret
end