local breakIceThread = include( "gameplay/viz_handlers/break_ice" )

function breakIceThread:getCurrentIce()
	local ice = self.unit:getTraits().mainframe_ice
	if self.failsafeAiLocked then
		if self.unit:isKO() then
			ice = 0
		else
			self.failsafeAiLocked = nil
		end
	end
	
	return ice
end

function breakIceThread:getDelta()
	local ice = self:getCurrentIce()
	local delta = ice - self.currentIce
	return delta
end

function breakIceThread:breakIceEffect(delta)
	if delta == 0 then
		return false
	end
	
	local anim = self.widget.binder.anim:getProp()
	local rig_util = include( "gameplay/rig_util" )

	if (self.mainframePanel.lastBreakIceTime or 0) + 0.5 < os.clock() then
		if delta > 0 then
			MOAIFmodDesigner.playSound("SpySociety/HUD/mainframe/firewall_increase")
		else
			MOAIFmodDesigner.playSound("SpySociety/HUD/mainframe/ice_deactivate")
		end
		-- Greatest.. hack... ever.
		-- Prevent duplicate sound plays in the event of multiple breakIce threads.
		self.mainframePanel.lastBreakIceTime = os.clock() 
	end

	if delta > 0 then
		self.currentIce = self.currentIce + 1
		self.widget.binder.btn:setText( self.currentIce )
		rig_util.waitForAnim( anim, "in" )
	else
		self.currentIce = self.currentIce  - 1
		self.widget.binder.btn:setText( self.currentIce )
		rig_util.waitForAnim( anim, "out" )
	end

	return true
end

function breakIceThread:breakIce()
	local delta = self:getDelta()
	return self:breakIceEffect( delta )
end