local Brain = include("sim/btree/brain")
local btree = include("sim/btree/btree")
local actions = include("sim/btree/actions")
local conditions = include("sim/btree/conditions")
local simfactory = include( "sim/simfactory" )
local simdefs = include( "sim/simdefs" )
local speechdefs = include( "sim/speechdefs" )
local mathutil = include( "modules/mathutil" )
local simquery = include( "sim/simquery" )
local util = include( "modules/util" )
local CommonBrain = include( "sim/btree/commonbrain" )
require("class")

local GuardBrainEngineer = class(Brain, function(self)
	Brain.init(self, "ceGuardbrainEngineer",
		btree.Selector(
		{
			CommonBrain.RangedCombat(),
			btree.Sequence("MonitorDrones",
			{
				btree.Condition(actions.ShouldMonitorDrone),
				btree.Action(actions.ReactToInterest),
				actions.MoveBesideInterest(),
				btree.Action(actions.RepairDrone),
				
				btree.Action(actions.MarkInterestInvestigated),
				btree.Action(actions.DoLookAround),
				btree.Sequence("Finish",
				{
					btree.Action(actions.RemoveInterest),
					btree.Selector("MoveOn",
					{
						btree.Sequence("Hunt",
						{
							btree.Condition(conditions.IsAlerted),
							btree.Action(actions.RequestNewHuntTarget),
						}),
						btree.Sequence("Investigate",
						{
							btree.Action(actions.FinishSearch),
						}),
					}),
				}),
			}),
			CommonBrain.Investigate(),
			CommonBrain.Patrol(),
		}))
end)
    
local function createBrain()
	return GuardBrainEngineer()
end

simfactory.register(createBrain)

return
{
	createBrain = createBrain,	
}
