local Brain = include("sim/btree/brain")
local btree = include("sim/btree/btree")
local actions = include("sim/btree/actions")
local conditions = include("sim/btree/conditions")
local simfactory = include( "sim/simfactory" )
local simdefs = include( "sim/simdefs" )
local speechdefs = include( "sim/speechdefs" )
local mathutil = include( "modules/mathutil" )
local simquery = include( "sim/simquery" )
local util = include( "modules/util" )
local CommonBrain = include( "sim/btree/commonbrain" )
require("class")

local GuardBrainAdmin = class(Brain, function(self)
	Brain.init(self, "ceGuardbrainSysadmin",
		btree.Selector(
		{
			CommonBrain.Flee(),
			btree.Sequence(
			{
				btree.Not(btree.Condition(conditions.IsAlerted) ),
				btree.Selector(
				{
					btree.Sequence("ManualHacking",
					{
						btree.Condition(actions.ShouldMeleeReboot),
						btree.Action(actions.ReactToInterest),
						actions.MoveBesideInterest(),
						btree.Action(actions.MeleeReboot),
						
						btree.Action(actions.MarkInterestInvestigated),
						btree.Action(actions.RemoveInterest),
					}),
					btree.Sequence("CheckConsoles",
					{
						btree.Condition(actions.ShouldCheckConsole),
						actions.MoveToConsole(),
						btree.Action(actions.CheckConsole),
						
						btree.Action(actions.MarkInterestInvestigated),
						btree.Action(actions.RemoveInterest),
					}),
					CommonBrain.Investigate(),
					btree.Sequence("AddConsoleInterest",
					{
						btree.Condition(conditions.HasIdle),
						btree.Action(actions.AddCheckConsoleInterest),
					}),
					CommonBrain.Patrol(),
				}),
			}),
		})
	)
end)
    
local function createBrain()
	return GuardBrainAdmin()
end

simfactory.register(createBrain)

return
{
	createBrain = createBrain,	
}
