local Brain = include("sim/btree/brain")
local btree = include("sim/btree/btree")
local actions = include("sim/btree/actions")
local conditions = include("sim/btree/conditions")
local simfactory = include( "sim/simfactory" )
local simdefs = include( "sim/simdefs" )
local speechdefs = include( "sim/speechdefs" )
local mathutil = include( "modules/mathutil" )
local simquery = include( "sim/simquery" )
local util = include( "modules/util" )
local CommonBrain = include( "sim/btree/commonbrain" )
require("class")

local SupportBrain = class(Brain, function(self)
	Brain.init(self, "ceSupportBrain",
		btree.Selector(
		{
			btree.Sequence("Combat",
			{
				btree.Condition(conditions.HasTarget),
				btree.Action(actions.ReactToTarget),
				btree.Action(actions.ThrowGrenadeAtTarget),
			}),
			CommonBrain.Investigate(),
			CommonBrain.Patrol(),
		}))
end)
    
local function createBrain()
	return SupportBrain()
end

simfactory.register(createBrain)

return
{
	createBrain = createBrain,	
}