local combat_panel = include( "hud/combat_panel" )
local simquery = include( "sim/simquery" )
local util = include("modules/util")

local oldRefreshShoot = combat_panel.refreshShoot

local COLOR_BLUE_DARK = util.color(50/255,87/255,87/255,150/255)
local COLOR_BLUE_LIGHT = util.color(150/255,255/255,255/255,1)

local COLOR_RED_DARK = util.color(80/255,0/255,0/255,150/255)
local COLOR_RED_LIGHT = util.color(163/255,0/255,0/255,1)

function combat_panel:refreshShoot( weaponUnit, unit, targetUnit )
	oldRefreshShoot( self, weaponUnit, unit, targetUnit )
	
	--Killtext means hit
	if self._panel.binder.damageTxt:getText() == STRINGS.UI.COMBAT_PANEL_KILL then
		if weaponUnit:getTraits().calmingGun then
			self._panel.binder.damageTxt:setText( STRINGS.MOD_CE.UI.COMBAT_PANEL_CALM )
		end
	end
end

function combat_panel:refreshCEMelee( ability, abilityOwner, unit, targetUnit )
    assert( unit and targetUnit )

	local sim = self._hud._game.simCore
	local color, textColor = COLOR_BLUE_DARK, COLOR_BLUE_LIGHT

    local ok, reason1, reason2 = ability:canUseAbility( sim, abilityOwner, unit, targetUnit:getID() )
    if ok then
        local weaponUnit = simquery.getEquippedMelee( unit )
    	local koDamage = simquery.calculateMeleeDamage(sim, weaponUnit, targetUnit)
		self._panel.binder.damageTxt:setText( util.sformat( STRINGS.FORMATS.AMT_KO, koDamage ))
    	self._panel.binder.targetTxt:setText( targetUnit:getName())
	else
        color, textColor = COLOR_RED_DARK, COLOR_RED_LIGHT
		self._panel.binder.damageTxt:setText( reason1 )
		self._panel.binder.targetTxt:setText( reason2 or targetUnit:getName() )
    end

	self._panel:setVisible( true )
    self._panel.binder.hitBackground:setColor(color:unpack())  
    self._panel.binder.targetTxt:setColor(textColor:unpack())
    self._panel.binder.damageTxt:setColor(textColor:unpack())
end