local util = include( "modules/util" )
local simdefs = include("sim/simdefs")
local mainframe_common = include("sim/abilities/mainframe_common")

local createDaemon = mainframe_common.createDaemon

local npc_abilities = {	
	old_validate = util.extend( createDaemon( STRINGS.DAEMONS.VALIDATE ) )
	{
		icon = "gui/icons/daemon_icons/Daemons0004.png",
		
		standardDaemon = false,

		onSpawnAbility = function( self, sim, player )
			sim:dispatchEvent( simdefs.EV_SHOW_DAEMON, { name = self.name, icon=self.icon, txt = self.activedesc } )	

			if sim._params.difficulty < 3 then
				sim:getNPC():doTrackerSpawn(sim, 1, simdefs.TRACKER_SPAWN_UNIT_ENFORCER )
			else
				sim:getNPC():doTrackerSpawn(sim, 1, simdefs.TRACKER_SPAWN_UNIT_ENFORCER_2 )
			end
			player:removeAbility(sim, self )
		end,

		onDespawnAbility = function( self, sim, unit )
		end,
	},
	validate = util.extend( createDaemon( STRINGS.DAEMONS.VALIDATE ) )
	{
		icon = "gui/icons/daemon_icons/Daemons0004.png",

		onSpawnAbility = function( self, sim, player )
			sim:dispatchEvent( simdefs.EV_SHOW_DAEMON, { name = self.name, icon=self.icon, txt = self.activedesc } )	
			--sim:getNPC():doTrackerSpawn(sim, 1, simdefs.TRACKER_SPAWN_UNIT_ENFORCER )
			local wt = util.weighted_list( sim._patrolGuard )
			local templateName = wt:getChoice( sim:nextRand( 1, wt:getTotalWeight() ))
			sim:getNPC():doTrackerSpawn( sim, 1, templateName, sim:getTracker() < simdefs.TRACKER_MAXCOUNT )
			player:removeAbility(sim, self )
		end,

		onDespawnAbility = function( self, sim, unit )
		end,
	},
}

return npc_abilities