local simdefs = include( "sim/simdefs" )
local simquery = include( "sim/simquery" )
local simfactory = include( "sim/simfactory" )
local simunit = include( "sim/simunit" )

include( "sim/units/simgrenade" )
local simgrenade = simfactory.createAction( "simgrenade" )
simgrenade.ClassType = nil
simgrenade._facing = nil
simgrenade._traits = nil
simgrenade._sounds = nil
simgrenade._skillCost = nil

local util = include( "modules/util" )

local pulse_grenade = { ClassType = "pulse_grenade" }

function pulse_grenade:onExplode( cells )
    local sim, player = self:getSim(), self:getPlayerOwner()
	
	local x,y = self:getLocation()
	sim:dispatchEvent("EV_CE_HILITE_RADIUS",{x=x,y=y,range=self:getTraits().range,cells = cells})
	local COOLDOWN_BONUS = 1
	if self:getTraits().raise_cooldowns then
		COOLDOWN_BONUS = self:getTraits().raise_cooldowns
	end
	for i, cell in ipairs(cells) do
		for i, cellUnit in ipairs( cell.units ) do
			if cellUnit:isPC() then
				if cellUnit:getTraits().hologram then
					cellUnit:deactivate()
				end
				if cellUnit:getTraits().invisible then
					cellUnit:setInvisible(false)
				end
				if cellUnit:getTraits().disguiseOn then
					cellUnit:setDisguise(false)
				end
				for i, item in pairs( cellUnit:getChildren() ) do 
					if not item:getTraits().disposable and not item:getTraits().augment then
						if COOLDOWN_BONUS > 0 and (item:getTraits().cooldown == nil or item:getTraits().cooldown <= 1) and sim:getCurrentPlayer() == player then
							item:getTraits().cooldown = 1
						end
						item:getTraits().cooldown = (item:getTraits().cooldown or 0) + COOLDOWN_BONUS
					end
				end
			end
		end
	end
end

local function createPulseGrenade( unitData, sim )
	return simunit.createUnit( unitData, sim, simgrenade, pulse_grenade )
end

simfactory.register( createPulseGrenade )