local CE_STRINGS =
{
	OPTIONS = {
		ENABLE_SYSADMINS = "SYSTEM ADMINS",
		ENABLE_SYSADMINS_TIP = "<c:FF8411>SYSTEM ADMINS</c>\nAdds System Admins, guards that investigate and recapture hacked devices but flee if alerted.\n<c:FF8411>Classic</c> have a short area of recapture.\n<c:FF8411>Updated</c> use melee tools for recapturing and scan devices with consoles.\n<c:FF8411>Random</c> makes both versions appear.",
		ENABLE_SYSADMINS_STRINGS = {"UPDATED","CLASSIC","RANDOM","DISABLED"},
		SYSADMIN_RESPONSE = "SYSTEM ADMIN ALARM RESPONSE",
		SYSADMIN_RESPONSE_TIP = "<c:FF8411>ADMIN ALARM RESPONSE</c>\nAdds the ability to System Admins to raise the alarm, to balance out the fact that they flee and leave the level with one less guard.\nEither immediately when alerted or once they have successfully fled to an exit.\nThe amount can also be configured.",
		SYSADMIN_RESPONSE_STRINGS = {"DISABLED","ALERT +1","ALERT +2","ALERT +3","EXIT +1","EXIT +2","EXIT +3"},
		ENABLE_ENEMIES = "MORE ENEMY TYPES",
		ENABLE_ENEMIES_TIP = "<c:FF8411>ENEMY TYPES</c>\nAlternative tier 1 guards\nSprinter\nPrototype Security\nSupport Drone\nSearch Drone\nScanner Security\nInterferer\nSentinel\nModded MKX\nPSI\nGhost\nAugmented Security\nSharpshooter\nAssault\nThor\nTsukumogami Drone\nDrone Engineer\nLvl 2 Elite Units\nNew OMNI guards",
		ENABLE_ENFORCERS = "NEW ENFORCER TYPES",
		ENABLE_ENFORCERS_TIP = "<c:FF8411>ENFORCER TYPES</c>\nEnforcer Drone\nHeavy Enforcer\nInspector\nTier 3 Enforcers",
		ENABLE_PATROLS = "EXTENDED PATROLS",
		ENABLE_PATROLS_TIP = "<c:FF8411>EXTENDED PATROLS</c>\nGives all guards longer patrol routes\nAn extra challenge for experienced players! ",
		ENABLE_OMNI = "REVAMPED OMNI",
		ENABLE_OMNI_TIP = "<c:FF8411>REVAMPED OMNI</c>\nMakes the number of guards in final and halfway missions scale with difficulty. Long campaigns become harder and short become easier.",
		ENABLE_KEYCARDS = "GUARD DOORKEYS",
		ENABLE_KEYCARDS_TIP = "<c:FF8411>GUARD DOORKEYS</c>\nLets all guards use security doors.",
		ENABLE_HARDGRENADES = "RAPID GRENADE DEPLOYMENT",
		ENABLE_HARDGRENADES_TIP = "<c:FF8411>RAPID GRENADES</c>\nAllows guards to continue moving after they've thrown a grenade.\nMakes scanning grenades very scary!\nBe warned.",
		ENABLE_HARDMODE = "HARD MODE",
		ENABLE_HARDMODE_TIP = "<c:FF8411>HARD MODE</c>\nThis mode is kind of ridiculous!\nALL enemies have increased deadliness, speed, and vision. Even skilled operators are likely to get caught off guard.\nBalance not guaranteed - No refunds\nYou have been warned.",
		ENABLE_HARDMODE_FAIL = "ERROR! SIM CONSTRUCTOR NOT INSTALLED",
		ENABLE_HARDMODE_FAIL_TIP = "<c:FF8411>SIM CONSTRUCTOR NOT INSTALLED</c>\nSim Constructor is required to use this function. Download the latest version at: http://steamcommunity.com/sharedfiles/filedetails/?id=580661011",
		ENABLE_VALIDATE = "VALIDATE REBALANCE",
		ENABLE_VALIDATE_TIP = "<c:FF8411>VALIDATE REBALANCE</c>\nRebalances the validate daemon to spawn patrol guards rather than enforcers.",
		ENABLE_SUSPICIOUS = "SUSPICIOUSNESS THRESHOLD",
		ENABLE_SUSPICIOUS_TIP = "<c:FF8411>SUSPICIOUSNESS THRESHOLD</c>\nDistracting guards too many times will alert them. Lower values mean more easily alerted.",
		ENABLE_SUSPICIOUS_VALUES = {"OFF","1","2","3","4","5","6","7","8","9","10","11","12","13","14","15"},
		ENABLE_TELL_BUDDY = "COMMUNICATIVE GUARDS",
		ENABLE_TELL_BUDDY_TIP = "<c:FF8411>COMMUNICATIVE GUARDS</c>\nHunting guards will alert other guards they see.",
		ENABLE_TIPS = "LOADING SCREEN TIPS",
		ENABLE_TIPS_TIP = "<c:FF8411>LOADING SCREEN TIPS</c>\nAdds AGP related tips to loading screens.",
	},
	GUARDS = {
		SYS_ADMIN = "SYSTEM ADMIN",
		PLASTECH_PROTOTYPE = "PROTOTYPE SECURITY",
		KO_PROTOTYPE = "SPRINTER",
		FTM_PROTOTYPE = "SCAN GUARD",
		GUARD_SCANNER = "SCANNER SECURITY",
		GUARD_SCANNER_LV2 = "SURVEILLANCE SECURITY",
		INTERFERER = "INTERFERER",
		INTERFERER_LV2 = "ELITE INTERFERER",
		SHIELDER = "FTM SENTINEL",
		SHIELDER_LV2 = "ELITE SENTINEL",
		X = "MODDED MKX",
		PSI = "PSI",
		PSI_LV2 = "ELITE PSI",
		GHOST = "GHOST UNIT",
		GHOST_LV2 = "ELITE GHOST",
		THOR = "THOR UNIT",
		THOR_LV2 = "ELITE THOR",
		AUGMENTED = "AUGMENTED SECURITY",
		AUGMENTED_LV2 = "ADVANCED SECURITY",
		SNIPER = "SHARPSHOOTER",
		SNIPER_LV2 = "ELITE SHARPSHOOTER",
		ASSAULT = "ASSAULT",
		ASSAULT_LV2 = "ELITE ASSAULT",
		DRONE_BARRIER = "BARRIER DRONE",
		DRONE_BARRIER_LV2 = "BARRIER DRONE v2.0",
		DRONE_CRAZY = "SEARCH DRONE",
		DRONE_TECH = "TSUKUMOGAMI DRONE",
		DRONE_TECH_LV2 = "TSUKUMOGAMI v2.0",
		DRONE_PROTOCOL = "PROTOCOL DRONE",
		DRONE_PROTOCOL_2 = "PROTOCOL DRONE v2.0",
		DRONE_SUPPORT = "SUPPORT DRONE",
		DRONE_ENGINEER = "DRONE ENGINEER",
		DRONE_ENGINEER_LV2 = "ELITE ENGINEER",
		OMNI_HACKER = "OMNI HACKER",
		OMNI_DRONE = "OMNI DRONE",
		OMNI_DRONE_2 = "DESTROYER",
		SUPPORT_GUARD_LV2 = "ELITE SUPPORT GUARD",
		SUPER_ENFORCER = "SUPER ELITE ENFORCER",
		HEAVY_ENFORCER = "HEAVY ENFORCER",
		HEAVY_ENFORCER_2 = "SUPER HEAVY ENFORCER",
		ASSAULT_ENFORCER = "ASSAULT ENFORCER",
		ASSAULT_ENFORCER_2 = "SUPER ASSAULT ENFORCER",
		INSPECTOR = "INSPECTOR",
		INSPECTOR_2 = "ELITE INSPECTOR",
		INSPECTOR_3 = "SUPER INSPECTOR",
		DRONE_ENFORCER = "ENFORCER DRONE",
		DRONE_ENFORCER_2 = "ENFORCER DRONE v2.0",
		DRONE_ENFORCER_3 = "ENFORCER DRONE v3.0",
		RECON_ENFORCER = "RECON ENFORCER",
		RECON_ENFORCER_2 = "ELITE RECON ENFORCER",
	},
	TOOLTIPS = {
		PACIFIST = "UNARMED",
		PACIFIST_DESC = "Does not carry a gun.",
		
		MELEE_HACK = "MANUAL HACKER",
		MELEE_HACK_DESC = "Manually reboots captured devices from short range.",
		
		CONSOLE_SCAN = "CONSOLE ACCESS",
		CONSOLE_SCAN_DESC = "Uses consoles to scan the mainframe for captured devices.",
		
		DARTGUN = "D.A.R.T WIELDER",
		DARTGUN_DESC = "Uses a non-lethal D.A.R.T gun.",
		
		TEMPORARY_ARMOR = "TEMPORARILY SHIELDED",
		TEMPORARY_ARMOR_DESC = "Has %d extra armor that decays over time and when affected by an emp.",
		
		SCAN_GRENADE = "SCAN GRENADES",
		SCAN_GRENADE_DESC = "Throws scangrenades that reveal agent location, even behind cover.",
		
		PULSE_GRENADE = "PULSE GRENADES",
		PULSE_GRENADE_DESC = "Throws pulse grenades that prevent the usage of items and disrupts cloaking and hologram technology.",
		
		OMNI_GRENADE = "OMNI GRENADES",
		OMNI_GRENADE_DESC = "The grenades this unit throws explode upon impact rather than after a short delay.",
		
		OMNI_GRENADE_HARD = "OMNI GRENADES",
		OMNI_GRENADE_HARD_DESC = "The grenades this unit throws have a wider radius, hit harder and can be used from close range.",
		
		GRENADE_GUARD_HARD = "SUPPORT GUARD",
		GRENADE_GUARD_HARD_DESC = "This unit clears rooms with flash grenades that explode instantly.",
		
		COUNTER_HACK_HARD_DESC = "Recaptures 2 mainframe devices per turn in a range of {1} tiles",
		NULL_ZONE_DESC = "This unit emits a field which blocks hacking of firewalls in a range of {1} {1:tile|tiles}.",
		
		FAILSAFE = "FAILSAFE PROTECTION",
		FAILSAFE_DESC = "Automatically reboots when all firewalls are broken.",
		
		TELEKENETIC_PROTECTION = "TELEKENETIC SHIELD",
		TELEKENETIC_PROTECTION_DESC = "This unit is shielded by a PSI. Armor and KO resistance increased by one.",
		
		KO_VULNERABLE = "VULNERABLE POINT",
		KO_VULNERABLE_DESC = "Extends KO time.",
		
		PHERIPHERAL_OPTIMIZER = "PHERIPHERAL OPTIMIZER",
		PHERIPHERAL_OPTIMIZER_DESC = "Field of vision increases when firewall is high.",
		
		PHERIPHERAL_IMPROVEMENT = "PERIPHERAL IMPROVEMENT",
		PHERIPHERAL_IMPROVEMENT_DESC = "Has 180 degree peripheral vision.",
		
		PHERIPHERAL_INCREASE = "INCREASED PHERIPHERAL VISION",
		PHERIPHERAL_INCREASE_DESC = "Has a wider field of peripheral view.",
		
		MAINFRAME_SENSORY = "MAINFRAME SENSORY",
		MAINFRAME_SENSORY_DESC = "Detects when all firewalls are broken on any device.",
		
		SELF_ICE_BUFF = "ADAPTIVE FIREWALL",
		SELF_ICE_BUFF_DESC = "Gains {1} firewall strength every time fully hacked.",
		
		BETTER_SCAN = "IMPROVED SCANNER",
		BETTER_SCAN_DESC = "This drone's scanner has increased range.",
		
		SUPER_SCAN = "HIGH FREQUENCY SCANNER",
		--SUPER_SCAN_DESC = "This drone investigates with a scanner that locates agents through walls but has shorter than usual range.",
		SUPER_SCAN_DESC = "This drone investigates with a scanner that locates agents through walls.",
		
		MELEEFIGHTER = "MARTIAL ARTIST",
		MELEEFIGHTER_DESC = "Fights with short-ranged weapons.",
		
		CLOAKRIG = "PERSONAL STEALTH FIELD",
		CLOAKRIG_DESC = "Turns invisible when alerted. Lasts %i turn%s or until user attacks, %i turn cooldown.",
		
		QUICK_SCAN = "OVERCLOCKED ANALYSIS",
		QUICK_SCAN_DESC = "Using scanning grenades doesn't end movement of this unit. Can check side directions at throw.", 
		
		PSI_LINK = "QUANTUM UPLINK",
    	PSI_LINK_DESC = "This unit is linked to a PSI. If alerted, linked guard is also alerted. If killed, linked guard is KOd.",
		
		HOLOTARGET = "HOLOGRAPHICALLY MARKED",
		HOLOTARGET_DESC = "This agent has been marked. Next turn, this agent's position will be relayed to security.",
		
		SUSPICIOUS = "ON GUARD",
		SUSPICIOUS_DESC = "This guard has seen a little too much suspicious activity. Next one will put him on alert.",
		
		DRONE_REPAIR = "DRONE REPAIR TOOLS",
		DRONE_REPAIR_DESC = "Reboots KO and hacked drones from melee range.",
		
		WEAK_BARRIER = "WEAK BARRIER",
		WEAK_BARRIER_DESC = "This unit has ARMOR equal to its mainframe FIREWALLS minus %d.",
		
		SIGHT_360 = "COMPLETE PERIPHERAL SIGHT",
		SIGHT_360_DESC = "Has 360 degree vision. Range: %s",
		
		CALM = "CALM",
		CALM_DESC = "Will not become alerted due to suspicion.",
	},
	RESEARCH = {
		OVERTUNED_REFLEXES = {
			NAME = "OVERTUNED REFLEXES",
    		UNIT_DESC =  "Shoots one agent immediately on sight, skipping overwatch, then can't attack for one turn",
		},
		ULTRAVIOLET_SPECTROMETER = 
    	{
    		NAME = "ULTRAVIOLET SPECTROMETER",
    		UNIT_DESC = "Can see cloaked and disguised agents.",
    	},
		ULTRASONIC_ECHOLOCATION = {
			NAME = "ULTRASONIC ECHOLOCATION",
			UNIT_DESC = "Notices agent movement, even behind cover.",
		},
		SEARCH_TOOLS = 
    	{
    		NAME = "SEARCH TOOLS",
    		UNIT_DESC = "Can see agents through cover, cloaks, disguises.",
    	},
		KO_WEAK = {
			NAME = "WEAK REBOOTERS",
			UNIT_DESC = "Extends KO duration from all sources.",
		},
		PIERCING_SCOPE = 
    	{
    		NAME = "PIERCING S.C.O.P.E",
    		UNIT_DESC = "Can see agents hiding behind cover.",
    	},
		PIERCING_SCOPE_NEW = 
    	{
    		NAME = "PIERCING S.C.O.P.E",
    		UNIT_DESC = "Tracks and shoots enemies through walls. Doesn't shoot at movement, instead waiting until corporate turn.",
    	},
		LOCKDOWN_SCOPE = 
    	{
    		NAME = "LOCKDOWN TARGETING",
    		UNIT_DESC = "Targets under overwatch cannot move or use doors.",
    	},
		HOLO_PINPOINT = 
    	{
    		NAME = "HOLOGRAPHIC PINPOINTING",
    		UNIT_DESC = "Agents that are seen or noticed are marked. Next turn, position of the agent will be relayed to this unit.",
    	},
		DRONE_BOOST = 
    	{
    		NAME = "DRONE REACTOR BOOSTER",
    		UNIT_DESC = "Drones within %i tiles gain %i AP.",
    	},
		ALARM_SYNC = 
    	{
    		NAME = "ALARM STATE SYNCHRONIZATION",
    		UNIT_DESC = "Has more AP when Alarm Level is higher.",
    	},
		ALARM_PATROLS = 
    	{
    		NAME = "VIGILANCE PROTOCOL",
    		UNIT_DESC = "Changes patrol when the Alarm Level changes.",
    	},
		KEIBI_GRID_LINK = 
    	{
    		NAME = "KEIBI GRID LINK",
    		UNIT_DESC = "Gains AP when a daemon is installed, and creates a daemon on a device when alerted.",
    	},
		AOE_SHIELD = 
		{
    		NAME = "DEFENSE MATRIX",
    		UNIT_DESC = "Gives all guards within %d tiles %d armor that decays over time when alerted.",
    	},
		ALARM_DRAIN = 
		{
			NAME = "ALARM RESERVE POOL",
    		UNIT_DESC = "Starts with more AP, but loses AP when the Alarm Level changes.",
    	},
		DAEMON_CORE = 
		{
			NAME = "DAEMONIC MONITOR",
    		UNIT_DESC = "Installs a daemon when KO, killed or targeting an agent. Only triggers once.",
    	},
		PANICBUTTON = 
    	{
    		NAME = "PANIC BUTTON", 
    		UNIT_DESC = "Raises the alarm level by %d when alerted.",
			ALERT = "ALERT\nPANIC BUTTON",
    	},
		ELEVATORBUTTON = 
    	{
    		NAME = "PANIC BUTTON", 
    		UNIT_DESC = "Alarm level increases by %d when this unit escapes from the level.",
			ALERT = "ALERT\nPANIC BUTTON",
    	},
		MAINFRAME_BOOST = 
    	{
    		NAME = "Mainframe booster",
    		UNIT_DESC = "Has greatly increased AP when firewall is higher.",
    	},
		MAINFRAME_SUPPORT_OLD = 
    	{
    		NAME = "MAINFRAME SUPPORT",
    		UNIT_DESC = "Boosts all firewalls within a range of %i tiles.",
    	},
		MAINFRAME_SUPPORT = 
    	{
    		NAME = "MAINFRAME SUPPORT",
    		UNIT_DESC = "Boosts firewalls of %i mainframe %s every turn. Range: %i tiles.",
    	},
		INTERFERENCE = 
    	{
    		NAME = "ELECTRICAL INTERFERENCE",
    		UNIT_DESC = "Adds %i %s to the item cooldowns of any agent in %i tiles.",
    	},
		AMBIENCE_REFRACTION = 
    	{
    		NAME = "AMBIENCE REFRACTOR",
    		UNIT_DESC = "May gain firewall strength when a nearby device is hacked and may buff nearby firewall when hacked.",
    	},
		KO_BOMB = 
    	{
    		NAME = "FEEDBACK OVERLOADER",
    		UNIT_DESC = "KO agents within %i tiles when KO or killed.",
    	},
		RANDOMIZER = 
    	{
    		NAME = "SCRAMBLED AI",
    		UNIT_DESC = "Moves randomly?",
    	},
		REGENERATIVE_NANOCELLS = 
    	{
    		NAME = "REGENERATIVE NANOCELLS",
    		UNIT_DESC = "Has a 2 turn KO instead of being killed.",
    	},
		DRONE_COMM = 
    	{
    		NAME = "MAINFRAME COMMUNICATIONS PROTOCOL",
    		UNIT_DESC = "This drone will be sent to investigate when another drone spots an intruder, and other drones will be drawn to this unit when it spots an intruder.",
    	},
		MP_SIPHON = 
		{
			NAME = "SIPHONIC RESONANCE EMITTER",
			UNIT_DESC = "This unit sends out a pulse every turn that drains %d AP from agents within %d tiles that it gives to itself.",
		},
		LONG_RANGE_SENSORS = 
    	{
    		NAME = "LONG RANGE SENSORS",
    		UNIT_DESC = "Detects agents from a distance. The range gets longer every turn and resets upon finding a target.",
    	},
		PSI_SUPPORT = 
    	{
    		NAME = "QUANTUM TRANSMITTER",
    		UNIT_DESC = "This unit is linked to another guard. If alerted, linked guard is also alerted. If killed, linked guard is KOd.",
    	},
		MAGNETIC_RIFLE =
		{
			NAME = "ION CANNON",
    		UNIT_DESC = "Has armorpiercing and damage equal to firewall strength. Can't attack when firewall strength is zero.",
		},
		REVERSE_IONFIELD = 
		{
			NAME = "INVERSE ION GENERATOR",
			--NAME = "REVERSE ION FIELD",
    		UNIT_DESC = "Mainframe devices within %d tiles gain magnetic reinforcement.",
		},
		PSI_SUPPORT_OLD = 
    	{
    		NAME = "TELEKENETIC SUPPORT",
    		UNIT_DESC = "Creates a telekenetic shield around another guard.",
    	},
		DRONE_REPAIR = 
    	{
    		NAME = "DRONE REACTIVATOR CORE",
    		UNIT_DESC = "Reactivates KO and hacked drones within %i tiles.",
    	},
		DRONE_MONITOR = 
    	{
    		NAME = "DRONE MONITOR",
    		UNIT_DESC = "Each turn detects KO and hacked drones within %i tiles, and can see and will investigate hacked drones.",
    	},
		NEUROSTIM = 
    	{
    		NAME = "NEUROSTIM BRAIN IMPLANT",
    		UNIT_DESC = "Gains permanent AP every time alerted or KO",
    	},
		SPRINT_PADS = 
		{
			NAME = "SILENT SPRINT PADS",
    		UNIT_DESC = "Has 3 extra AP, moves silently.",
		},
		SPRINT_PADS_2 = 
		{
			NAME = "SILENT SPRINT PADS MK2",
    		UNIT_DESC = "Has 5 extra AP, moves silently.",
		},
	},
	UI = {
		--Floating text
		NEUROSTIM = "NEUROSTIM IMPLANT",
		KEIBI_BONUS = "KEIBI GRID BOOST",
		DRONE_BOOST = "REACTOR BOOSTED",
		REPAIRED = "REPAIRED",
		DRONE_MONITOR = "DRONE MONITOR",
		LONG_RANGE_SENSORS = "LONG RANGE SENSORS",
		REGENERATIVE_NANOCELLS = "REGENERATIVE NANOCELLS",
		ALARM_SYNC = "ALARM SYNC",
		LOCKDOWN = "LOCKED DOWN",
		HOLOTARGET = "HOLOGRAPHIC PINPOINTING",
		SIPHONED_ENERGY = "SIPHONED %d AP",
		LOST_ENERGY = "%d AP DRAINED",
		--Misc
		CANT_USE_LOCKDOWN = "Locked down agents can't use doors",
		WARNING_LOCKDOWN = "{1} is locked down.",
		COMBAT_PANEL_CALM = "CALM",
		REASON_DRONE_GRENADE = "Already used grenade",
		DRONE_GRENADE_DESC = "Launch a grenade",
	},
	LOADING_TIPS = {
		"AGP: Think carefully about what and when to hack. Hacking things away from your agents helps distracting System Admins and Inspectors.",
		"AGP: K&O has the best trained soldiers of any corp. Their ability to punish mistakes is exceptional, so it's even more important to stick to cover and scout well.",
		"AGP: Plastech is known for guards that provide support in the mainframe. Now they're also taking advantage of this in the other direction. Watch out who you KO.",
		"AGP: Sankaku facilities rely on drones for security, but don't underestimate the engineers. They speed up nearby drones, and if they spot a hacked drone, they will recapture it.",
		"AGP: FTM has developed portable versions of their scanning and interference equipment. Observe your enemies and adapt your strategies.",
		"AGP: When playing with extended patrols, a room might not be safe even if you've kept an eye on it for two turns. Keep the locked doors in mind too.",
		"AGP: Guard suspiciousness and communication add more consequence to alerting and distracting guards, which can force you to change up your playstyle. They can be disabled in the generation options.",
	},
	ITEMS = {
		CALMER_GUN = "Calming Pistol",
		CALMER_GUN_TIP = "Pistol that prevents guards from becoming alerted by suspicion.",
		CALMER_GUN_FLAVOR = "Launches a tiny capsule of chemicals that instill a mild feeling of relaxation and safety. Most people can't tell anything's happened 'til it's too late.",
	},
	LOGS = {
		ASSAULT = {
			FILE = "K&O TECHNICAL REPORT",
			TITLE = "Summary of results",
			LOG = [[Official K&O Technical Report 54893 page 44: Summary of Test Group A results

Test Group A: <c:62B3B3>50 members. 6 years in development. Volountary participation.
4 years working as security required to enter. Passing General Medical Analysis required to enter.</>

General Medical Analysis
<c:62B3B3>46 pass. 3 fail due to heart condition. 1 fails due to development of epilepsy.</>

Close Quarters Combat Test
<c:62B3B3>• Average Score 7.2 (3% decrease)
• Mean Score 7.6 (2% increase)
• Average Time 1.055s (23% improvement)
• Mean Time 0.783s (29% improvement)
• Side Effects: Blurry vision, tunnelvision, jitters</>

Precision Combat Test
<c:62B3B3>• Average Score 4.2 (17% decrease)
• Mean Score 3.8 (21% decrease)
• Average Time 4.291s (8% deterioration)
• Mean Time 3.904 (5% deterioration)
• Side Effects: Blurry vision, shaking, lack of situational awareness</>

Light Damage Test
<c:62B3B3>• Average Combat-Ready Recovery Time 4.1s (17% improvement)
• Mean Combat-Ready Recovery Time 5.2s (17% improvement)
• Average Complete Recovery Time 25.1s (20% improvement)
• Mean Complete Recovery Time 24.6s (20% improvement)
• Side Effects: Itching, numbness</>

Heavy Damage Test
<c:62B3B3>• Average Loss of Consciousness 10.8s (18% improvement)
• Mean Loss of Consciousness 12.3s (18% improvement)
• Average Combat-Ready Recovery Time 18.5s (22% improvement)
• Mean Combat-Ready Recovery Time 19.7s (22% improvement)
• Average Complete Recovery Time 87s (32% improvement)
• Mean Complete Recovery Time 81s (29% improvement)
• Side Effects: Dizziness, nausea, numbness, lack of situational awareness, temporary memory loss</>]],
		},
		
		TSUKUMOGAMI = {
			FILE = "ONLINE ESSAY",
			TITLE = "Sankaku's Failed Drone Model",
			LOG = [[]],
		},
		
		THOR = {
			FILE = "SUBNET CHAT LOG",
			TITLE = "INTERCEPTED SUBNET CHAT LOG",
			LOG = [[<c:FF2F00>Andrew36:</> <c:62B3B3>Sorry guys, I can't on Thursday. They're going to gather the whole Thor Division next week.</>

<c:2352D1>DragonPeter3000:</> <c:62B3B3></>

<c:FAFD68>Ejijah :3 :</> <c:62B3B3></>

<c:00FF2F>Tamas:</> <c:62B3B3></>]],
		}
	}
}

return CE_STRINGS