local simdefs = include("sim/simdefs")
local util = include( "modules/util" )
local unitdefs = include("sim/unitdefs")


local triggerObject = {
	onTrigger = function( self, sim, evType, evData )
		if evType == simdefs.TRG_START_TURN then
			for i, unit in pairs(sim:getAllUnits()) do
				if unit:getTraits().temporaryArmor then
					unit:getTraits().temporaryArmor = unit:getTraits().temporaryArmor - 1
					if unit:getTraits().temporaryArmor <= 0 then
						unit:getTraits().temporaryArmor = nil
					end
				end
				unit:getTraits().hasLookedAround = nil
				unit:getTraits().ce_yelled = nil
				unit:getTraits().gotConsoleInterest = nil
				if evData:isNPC() and unit:getTraits().cloakCooldown then
					unit:getTraits().cloakCooldown = unit:getTraits().cloakCooldown - 1
					if unit:getTraits().cloakCooldown <= 0 then
						unit:getTraits().cloakCooldown = nil
					end
				end
				sim:dispatchEvent(simdefs.EV_UNIT_REFRESH,{unit = unit})
			end
			
			sim:processReactions()
		elseif evType == simdefs.TRG_END_TURN then
			for i, unit in pairs(sim:getNPC():getUnits()) do
				if unit:getBrain() and not unit:getBrain():getTarget() then
					unit:getTraits().noPeripheralDetection = nil
					unit:getTraits().noInterrupt = nil
				end
			end
		elseif (evType == simdefs.TRG_UNIT_WARP or evType == simdefs.TRG_UNIT_NEWINTEREST) and sim:getTags().globalVision and evData.unit:getTraits().isGuard then
			evData.unit:getTraits().tagged = true
			evData.unit:getTraits().patrolObserved = true
		end
	end
}

function ce_createTriggers( sim )
	local self = util.tcopy(triggerObject)
	sim:addTrigger(simdefs.TRG_START_TURN,self)
	sim:addTrigger(simdefs.TRG_END_TURN,self)
	sim:addTrigger(simdefs.TRG_UNIT_WARP,self)
	sim:addTrigger(simdefs.TRG_UNIT_NEWINTEREST,self)
end