local unitrig = include( "gameplay/unitrig" )
local simquery = include( "sim/simquery" )
local util = include( "modules/util" )

local oldrefreshProp = unitrig.rig.refreshProp
local olddestroy = unitrig.rig.destroy
local oldplaySound = unitrig.rig.playSound

unitrig.rig.refreshProp = function( self, refreshLoc )
	local unit = self:getUnit()
	local ret = oldrefreshProp( self, refreshLoc )
	if not self._psiFX then
		self._psiFX = self:createHUDProp("kanim_null_fx", "effect", "idle", self._boardRig:getLayer("floor"), self._prop )
		self._psiFX:setSymbolModulate("innercicrle",1,1,1,0.75)
		self._psiFX:setSymbolModulate("innerring",1,1,1,0.75)
		self._psiFX:setVisible(false)
	end
	if unit:getTraits().psiLink then
		self._psiFX:setVisible(true)
	else
		self._psiFX:setVisible(false)
	end
	
	if not self._holoFX then
		self._holoFX = self:createHUDProp("kanim_null_fx", "effect", "idle", self._boardRig:getLayer("floor"), self._prop )
		self._holoFX:setSymbolModulate("innercicrle",0.5,0.8,1,0.9)
		self._holoFX:setSymbolModulate("innerring",0.5,0.8,1,0.5)
		self._holoFX:setVisible(false)
	end
	if unit:getTraits().holoTarget and unit:getTraits().holoTarget > 0 then
		self._holoFX:setVisible(true)
	else
		self._holoFX:setVisible(false)
	end
	return ret
end

unitrig.rig.destroy = function( self )
	olddestroy( self )
	if self._psiFX then
		self._boardRig:getLayer("floor"):removeProp( self._psiFX  )			
	end
	if self._holoFX then
		self._boardRig:getLayer("floor"):removeProp( self._holoFX  )			
	end
end

unitrig.rig.playSound = function( self, soundPath, alias )
	local unit = self:getUnit()
	if soundPath == "SpySociety/Weapons/Shells/shoot_death" and simquery.getEquippedGun( unit ):getTraits().canSleep then
		return
	end
	oldplaySound( self, soundPath, alias )
end